#!/bin/bash

rm -rf borg-assimilator

if [ ! -d borg-assimilator ]; then
  mkdir -v borg-assimilator
fi

if [ ! -d borg-assimilator/BORG ]; then
  mkdir -v borg-assimilator/BORG
fi

txt="exclude.txt sources-*.txt uniprot-*.txt"
for f in *.pl *.sh *.awk ${txt} README; do
  cp -v $f borg-assimilator/
done

for f in BORG/*.pm; do
  cp -v $f borg-assimilator/BORG/
done

for f in sql/db/*.sql; do
  cp -v $f borg-assimilator/
done

tar cvf borg-assimilator.tar borg-assimilator/
gzip -9fv borg-assimilator.tar

